Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class JSONObjectEventResultProcessor

    java.lang.Object
      org.apache.tapestry5.internal.services.JSONObjectEventResultProcessor

All Implemented Interfaces:
  ComponentEventResultProcessor<JSONObject>

    public class JSONObjectEventResultProcessor

extends java.lang.Object
implements ComponentEventResultProcessor<JSONObject>

Implementation of `ComponentEventResultProcessor` for `JSONObject`, allowing a component event handler to return a JSONObject that will be sent directly to the client as the reply. This is often used with custom components that need a custom JSON response.

Constructor Summary
`JSONObjectEventResultProcessor(Response response, java.lang.String outputEncoding, boolean compactJSON)`

Method Summary
`void` | `processResultValue(JSONObject value)` For a given, non-null return value from a component event method, construct and send a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONObjectEventResultProcessor

    public JSONObjectEventResultProcessor(Response response,
                                          @Symbol(value="tapestry.charset")
                                          java.lang.String outputEncoding,
                                          @Symbol(value="tapestry.compact-json")
                                          boolean compactJSON)

Method Detail

### processResultValue

    public void processResultValue(JSONObject value)
                            throws java.io.IOException

  Description copied from interface: `ComponentEventResultProcessor`
  For a given, non-null return value from a component event method, construct and send a response.

  Specified by:
    `processResultValue` in interface `ComponentEventResultProcessor<JSONObject>`
  Parameters:
    `value` - the value returned from a method
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.